//////////////////////////////////////////
// BCC2ECC.h
// Copyright (c) 09/06/2022 by ECCSkelton
//////////////////////////////////////////
//ECCSkeltonのヘッダー−これに必要なヘッダーが入っている
#include	"ECCSkelton.h"
//リソースIDのヘッダー
#include	"ResBCC2ECC.h"

/////////////////////////////////////////////////////////////////////
//CMyWndクラスをCDLGクラスから派生させ、メッセージ用の関数を宣言する
/////////////////////////////////////////////////////////////////////
class CMyWnd : public CDLG
{
	public:	//メンバー変数
	//ファイル関連外部変数
	WCHAR m_PathName[MAX_PATH];	//フルパスプロジェクトファイル名
	WCHAR* m_Ext;				//フルパスプロジェクトファイル名の'.'の位置
	WCHAR m_PrjtName[MAX_PATH];	//プロジェクト名のみ
	bool m_Option;
	public:	//以下はコールバック関数マクロと関連している
	//２重起動防止用のMutex用ID名称
	CMyWnd(WCHAR* UName) : CDLG(UName) {}
	//メニュー項目、ダイアログコントロール関連
	bool OnSel();
	bool OnIdno();
	bool OnIdok();
	//ウィンドウメッセージ関連
	CMDTABLE		//OnCommand()関数宣言
	bool OnClose(WPARAM, LPARAM);
	bool OnDestroy(WPARAM, LPARAM);
	//ユーザー定義関数
	void Init();
	bool ModifyRC();
	bool ModifyCPP();
	bool ModifyH();
	bool ModifyProcH();
};

////////////////////////////////////////////////////////////////////////
//派生させたCMyWndクラスのインスタンスとコールバック関数(マクロ）の作成
//主ウィンドウはダイアログと違い、コールバック関数は一つしか作れない
////////////////////////////////////////////////////////////////////////
CMyWnd BCC2ECC(L"BCC2ECC");	//ウィンドウクラスインスタンスの生成

BEGIN_CMDTABLE(CMyWnd)	//クラス名がCMyWndではない場合、クラス名、テーブルを適宜マニュアルで修正してください
	//メニュー項目、ダイアログコントロール関連
	ON(IDC_SEL, OnSel())
	ON(IDOK, OnIdok())
	ON(IDNO, OnIdno())
END_CMDTABLE

////////////////////////
//コモンダイアログの作成
////////////////////////
CMNDLG cmndlg;
